* {
  -ms-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: 0;
}
html,
body {
  width: 100%;
  height: auto;
  /*background: url("../img/img.jpg") repeat fixed;*/
  font-family: "Open Sans", sans-serif;
  font-weight: 200;
}
.login {
  position: relative;
  top: 50%;
  width: 250px;
  display: table;
  margin: -150px auto 0 auto;
  background: #fff;
  border-radius: 4px;
}

#custom_date_info {
  position: absolute;
  right: 0;
}

.legend {
  position: relative;
  width: 100%;
  display: block;
  background: #998ff3;
  padding: 15px;
  color: #fff;
  font-size: 20px;
}
.legend:after {
  content: "";
  /* background-image: url(http://simpleicon.com/wp-content/uploads/multy-user.png);*/
  background-size: 100px 100px;
  background-repeat: no-repeat;
  background-position: 152px -16px;
  opacity: 0.06;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
}
.input {
  position: relative;
  width: 90%;
  margin: 15px auto;
}
.input span {
  position: absolute;
  display: block;
  color: #d4d4d4;
  left: 10px;
  top: 8px;
  font-size: 20px;
}
.input input {
  width: 100%;
  padding: 10px 5px 10px 40px;
  display: block;
  border: 1px solid #ededed;
  border-radius: 4px;
  transition: 0.2s ease-out;
  color: #a1a1a1;
  border: 1px solid #ccc;
}
.hasDatepicker {
  border: 1px solid #ededed;
  border-radius: 4px;
  transition: 0.2s ease-out;
  color: #a1a1a1;
  border: 1px solid #ccc;
}
.input input:focus {
  padding: 10px 5px 10px 10px;
  outline: 0;
  border-color: #998ff3;
}
.submit {
  width: 45px;
  height: 45px;
  display: block;
  margin: 0 auto -15px auto;
  background: #fff;
  border-radius: 100%;
  border: 1px solid #998ff3;
  color: #998ff3;
  font-size: 24px;
  cursor: pointer;
  box-shadow: 0px 0px 0px 7px #fff;
  transition: 0.2s ease-out;
}
.submit:hover,
.submit:focus {
  background: #998ff3;
  color: #fff;
  outline: 0;
}
.feedback {
  position: absolute;
  bottom: -70px;
  width: 100%;
  text-align: center;
  color: #fff;
  background: #2ecc71;
  padding: 10px 0;
  font-size: 12px;
  display: none;
  opacity: 0;
}
.feedback:before {
  bottom: 100%;
  left: 50%;
  border: solid transparent;
  content: "";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-color: rgba(46, 204, 113, 0);
  border-bottom-color: #2ecc71;
  border-width: 10px;
  margin-left: -10px;
}

select {
  border: 1px solid #ededed;
  border-radius: 4px;
  width: 100%;
}
option {
  padding: 10px 5px 10px 10px;
}

#searchdateform {
  margin: 0;
  display: flex;
  justify-items: center;
  align-items: center;
  padding: 0;
  gap: 5px;
}

#csearchdateform div {
  margin-bottom: 2em;
  text-align: center;
}

#csearchdateform {
  margin-top: 10px;
  padding: 10px;
  text-align: center;
}

#searchdateform input {
  border: 1px solid #ccc;
  min-width: auto;
}

#searchdateform button {
  padding: 3px;
  margin: 0;
  border: 1px solid #ccc;
  min-width: auto;
}

input[type="text"],
input[type="submit"],
button {
  padding: 5px;
}
.main div,
.main h1 {
  margin: 20px;
  text-align: center;
}

rect {
  fill-opacity: 0 !important;
}
circle {
  fill-opacity: 0 !important;
}
#comment1,
#comment2,
#comment3 {
  border: 1px solid;
  margin-bottom: 12px;
  height: 140px;
  width: 100%;
}
.amcharts-chart-div desc,
.amcharts-chart-div a {
  display: none !important;
}
.amcharts-main-div {
  margin: 0px 15px;
}
.chartdivs input[type="checkbox"] {
  margin: 10px;
}
.recordc td {
  border: 1px solid;
  text-align: center;
  line-height: 35px;
}
.recordc td b {
  font-weight: bold;
}
.record {
  width: 50%;
  text-align: center;
  position: relative;
  margin: -150px auto;
  top: 50%;
}
#load {
  cursor: pointer;
  background: #998ff3;
}
#minmaxtable {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: auto;
  border-radius: 5px;
  border: 1px solid rgba(0, 0, 0, 0.5);
  overflow: hidden;
}

#minmaxtable td {
  text-align: center;
  background-color: rgba(0, 0, 0, 0.1);
  padding: 8px;
}
#minmaxtable th {
  text-align: center;
  padding: 8px;
  font-weight: bold;
  background-color: rgba(0, 0, 0, 0.2);
}

#top_menu {
  position: sticky;
  top: 0;
  width: 100%;
  backdrop-filter: blur(10px);
  background-color: rgba(0, 0, 0, 0.2);
  z-index: 1000;
  height: 35px;
  padding: 5px;
}

#top_menu ul {
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: space-between;
  height: 100%;
}

#top_menu ul li:not(.more_buttons) {
  list-style: none;
  margin: 0px;
  padding: 5px 10px;
  background-color: #ececec;
  color: black;
  align-content: center;
  border-radius: 5px;
}

#top_menu .more_buttons {
  display: flex;
  flex-direction: row;
  gap: 5px;
}

input,
button,
#top_menu a {
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 5px;
  font-size: 12px;
}

#top_menu input,
#top_menu a {
  background-color: #ececec;
}

#top_menu ul li a {
  text-decoration: none;
  color: black;
  cursor: pointer;
}

#top_menu button {
  margin-left: 5px;
}

#notes_close_btn {
  position: absolute;
  right: 0;
  top: 0;
  width: 25px;
  height: 25px;
  cursor: pointer;
  background-color: red;
  color: white;
  font-weight: bold;
  padding: 5px;
  border-radius: 50%;
  margin: 5px;
}

#notes_dialog {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50%;
  height: auto;
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 5px;
  padding: 10px;
  z-index: 100;
  max-height: 600px;
}

#notes_dialog h3 {
  font-size: 1.5em;
  font-weight: bold;
  margin: 10px 0px 20px 0px;
}

#notes_dialog label {
  margin-bottom: 5px;
  display: block;
}

#notes_dialog textarea {
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 5px;
}

#notes_dialog button {
  padding: 5px 8px;
  margin-right: 5px;
}

#ui-datepicker-div {
  z-index: 1001;
}

#details_panel {
  background-color: rgba(0, 0, 0, 0.1);
  color: black;
  display: flex;
  align-items: stretch;
  flex-direction: column;
  padding: 5px;
  gap: 5px;
}

#details_panel #custom_date_input {
  width: auto;
  background-color: rgba(0, 0, 0, 0.1);
  padding: 5px;
  border-radius: 4px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start; /* Align content to the left */
  gap: 10px;
}

#details_panel #custom_date_input .title {
  font-weight: bold;
  align-self: center; /* Center vertically */
  text-align: left;
  margin-right: auto; /* Push the title to the far left */
  min-width: 150px;
}

#details_panel #custom_date_input .input_div {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

#details_panel #custom_date_input b {
  font-weight: bold;
  text-transform: uppercase;
}

#charts_wrapper {
  margin-top: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow-x: scroll;
  width: 100vw;
}

#progress_status {
  position: fixed;
  top: 0;
  width: 100%;
  height: 170px;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 1002;
  color: white;
  text-align: center;
  padding: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: top 0.3s ease-in, opacity 0.3s ease-in-out;
  font-size: 16px;
}

#progress_status.hidden {
  opacity: 0;
  top: -170px;
}

.spinner {
  width: 40px;
  height: 40px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -50px 0 0 -20px;
  z-index: 1000;
}

.double-bounce1,
.double-bounce2 {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #cc8a29;
  opacity: 0.6;
  position: absolute;
  top: 0;
  left: 0;
  animation: bounce 2s infinite ease-in-out;
}

.double-bounce2 {
  animation-delay: -1s;
}

@keyframes bounce {
  0%,
  100% {
    transform: scale(0);
  }
  50% {
    transform: scale(1);
  }
}
